Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032321
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformtrivialN/A2016-02-23 17:322016-06-17 19:37
ReporterNaroaIriarteView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiona644a005269e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032321: remove the unused QueryBuilder class

DescriptionThe QueryBuilder class is no longer used, the only references to this class are comments.
The class has an enum which is used, this enum can be put in another class as, for example, in AdvancedQueryBuilder.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032322 closedNaroaIriarte API change because the some classes have been deleted 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0084514)
alostale (developer)
2016-02-25 15:29

It was replaced by AdvancedQueryBuilder by [1], never used since then.

[1] https://code.openbravo.com/erp/devel/pi/rev/91431d0f01e5 [^]
(0086013)
hgbot (developer)
2016-04-27 09:24

Repository: erp/devel/pi
Changeset: a644a005269e7076cdcbf00b356b9721e11cd301
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Apr 27 09:18:25 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a644a005269e7076cdcbf00b356b9721e11cd301 [^]

Fixed issue 32321: The QueryBuilder class has been deleted

The only used thig was an enum, that enum now is in the AdvancedQueryBuilder class and
the QueryBuilder class has been removed.

---
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/DataQueryServiceTest.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDataSourceFilter.java
R modules/org.openbravo.service.json/src/org/openbravo/service/json/QueryBuilder.java
---
(0086079)
hgbot (developer)
2016-04-29 14:06

Repository: erp/devel/pi
Changeset: 1db683d7fd727c3257954fb7cd3a752895bb5ab6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 29 14:06:00 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1db683d7fd727c3257954fb7cd3a752895bb5ab6 [^]

related to issue 32321: removed references in comments to QueryBuilder

---
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/DataQueryServiceTest.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataEntityQueryService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonDataService.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDataSourceFilter.java
---
(0086080)
alostale (developer)
2016-04-29 14:08

reviewed
(0087493)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087502)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-23 17:32 NaroaIriarte New Issue
2016-02-23 17:32 NaroaIriarte Assigned To => platform
2016-02-23 17:32 NaroaIriarte Modules => Core
2016-02-23 17:32 NaroaIriarte Triggers an Emergency Pack => No
2016-02-23 17:32 NaroaIriarte Assigned To platform => NaroaIriarte
2016-02-23 18:03 NaroaIriarte Relationship added related to 0032322
2016-02-25 15:29 alostale Note Added: 0084514
2016-02-25 15:29 alostale Status new => acknowledged
2016-04-18 10:58 alostale Relationship added blocks 0032688
2016-04-19 12:55 NaroaIriarte Status acknowledged => scheduled
2016-04-27 09:24 hgbot Checkin
2016-04-27 09:24 hgbot Note Added: 0086013
2016-04-27 09:24 hgbot Status scheduled => resolved
2016-04-27 09:24 hgbot Resolution open => fixed
2016-04-27 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a644a005269e7076cdcbf00b356b9721e11cd301 [^]
2016-04-29 14:06 hgbot Checkin
2016-04-29 14:06 hgbot Note Added: 0086079
2016-04-29 14:08 alostale Review Assigned To => alostale
2016-04-29 14:08 alostale Note Added: 0086080
2016-04-29 14:08 alostale Status resolved => closed
2016-04-29 14:08 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087493
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087502


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker